## neutron 7.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6

Paste
PasteDeploy>=1.5.0
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
Routes!=2.0,>=1.12.3;python_version!='2.7'
debtcollector>=0.3.0 # Apache-2.0
eventlet>=0.17.4
pecan>=1.0.0
greenlet>=0.3.2
httplib2>=0.7.5
requests>=2.5.2
Jinja2>=2.6 # BSD License (3 clause)
keystonemiddleware>=2.0.0
netaddr!=0.7.16,>=0.7.12
python-neutronclient>=2.6.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
ryu>=3.23.2 # Apache-2.0
SQLAlchemy<1.1.0,>=0.9.9
WebOb>=1.2.3
python-keystoneclient>=1.6.0
alembic>=0.8.0
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.config>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=2.4.1 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
oslo.middleware>=2.8.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
oslo.versionedobjects>=0.9.0

python-novaclient>=2.28.1

# Windows-only requirements
pywin32;sys_platform=='win32'
wmi;sys_platform=='win32'

=== neutron/plugins/midonet/requirements.txt ===
networking-midonet

=== neutron/plugins/ml2/drivers/ibm/requirements.txt ===
networking-ibm

=== neutron/plugins/ml2/drivers/ovsvapp/requirements.txt ===
networking-vsphere

=== debian/changelog ===
neutron (1:7.0.0-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Nov 2015 10:33:14 +0100

neutron (1:7.0.0-4) unstable; urgency=medium

  * Added q-text-as-data in depends on neutron-server.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:52:05 +0000

neutron (1:7.0.0-3) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone api v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 09:05:40 +0000

neutron (1:7.0.0-2) unstable; urgency=medium

  * Delete openvswitch_agent.ini on purge (Closes: #802538).
  * Fixed too long lines in long descriptions.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 12:25:25 +0200

neutron (1:7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Added python-pymysql as runtime dependency.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Oct 2015 15:05:52 +0200

neutron (1:7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased patches.
  * Now neutron-server depends on python-openstackclient.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2015 09:37:11 +0200

neutron (1:7.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased better-config-defaults.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2015 11:51:13 +0200

neutron (1:7.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Jul 2015 15:06:54 +0200

neutron (2015.1.0+2015.06.24.git61.bdf194a0e1-3) unstable; urgency=medium

  * Added requirements.txt patch for SQLA version.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Jul 2015 03:02:58 +0000

neutron (2015.1.0+2015.06.24.git61.bdf194a0e1-2) unstable; urgency=medium

  * Rebuilt for sqlalchemy 1.0.6.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Jul 2015 02:14:01 +0000

neutron (2015.1.0+2015.06.24.git61.bdf194a0e1-1) unstable; urgency=medium

  * New upstream release (based on commit 61 and sha bdf194a0e1).
  * Added patch for CVE-2015-3221 (Closes: #789713):
    CVE-2015-3221_Provide_work_around_for_0.0.0.0_for_ipset.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jun 2015 07:41:07 +0000

neutron (2015.1.0-4) unstable; urgency=medium

  * Updated Danish da.po debconf translation (Closes: #787375).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Jun 2015 15:58:35 +0200

neutron (2015.1.0-3) unstable; urgency=medium

  * Updated pt.po translation of debconf messages (Closes: #784589).
  * Updated fr.po thanks to Julien Patriarca (Closes: #785226).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 May 2015 23:21:01 +0200

neutron (2015.1.0-2) unstable; urgency=medium

  [ gustavo panizzo ]
  * Fix a problem with openvswitch-agent where it's config file was not being
    loaded.

  [ Thomas Goirand ]
  * Added Gustavo Panizzo <gfa@zumbi.com.ar> as uploaders.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 May 2015 07:57:24 +0000

neutron (2015.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 21:54:26 +0000

neutron (2015.1~rc2-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Updated (build-)depends for this release.
  * Removed quantum transition packages, and lbass package (the later is now a
    separated project).

  [ gustavo panizzo ]
  * Updated ovs agent and lb agent init scripts, since they are deprecated as
    core_plugin and should be used in conjunction of ml2.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Dec 2014 15:10:00 +0800

neutron (2014.2.1-1) experimental; urgency=medium

  * New upstream release.
  * cve-2014-7821_DoS_through_invalid_DNS_configuration_juno.patch is now
    applied upstream, so removed it.
  * Now build-depends on openstack-pkg-tools (>= 20~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Dec 2014 23:02:10 +0800

neutron (2014.2-4) experimental; urgency=medium

  * CVE-2014-7821: DoS through invalid DNS configuration. Applied upstream
    patch: Fix hostname regex pattern (Closes: #770431).

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Nov 2014 16:39:03 +0800

neutron (2014.2-3) experimental; urgency=medium

  * Patches the ml2 plugin ini file to be like the install-guide by default.
  * Added defaults-closer-to-install-guide.patch to have l3 and dhcp init files
    match what the install-guide proposes as configuration.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Oct 2014 14:59:07 +0800

neutron (2014.2-2) experimental; urgency=medium

  * Removed arping from depends of python-neutron, and put iputils-arping as
    Recommends:.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Oct 2014 15:17:02 +0000

neutron (2014.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Oct 2014 14:52:35 +0000

neutron (2014.2~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Added ipset, iproute2, arping and keepalived as dependency.
  * Now using a single logrotate file in neutron-common.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Oct 2014 23:11:10 +0800

neutron (2014.2~rc1-3) experimental; urgency=medium

  * Fixed debconf template and ran debconf-updatepo.
  * Another fix for the SQLite Alembic migrations.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Oct 2014 07:34:35 +0000

neutron (2014.2~rc1-2) experimental; urgency=medium

  * Mangling upstream rc and beta versions in watch file.
  * Fixed 0001-Add-parameter-and-iptables-rules-to-protect-dnsmasq-.patch
    wrong identation.
  * Added sqlite3 as dependency.
  * Added debian/patches/more-alembic-with-sqlite-migration-fixes.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Oct 2014 15:00:51 +0800



=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Gustavo Panizzo <gfa@zumbi.com.ar>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 37~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     bridge-utils,
                     python-cliff (>= 1.14.0),
                     python-coverage,
                     python-ddt (>= 0.7.0),
                     python-debtcollector (>= 0.3.0),
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-gflags,
                     python-greenlet,
                     python-hacking,
                     python-httplib2,
                     python-jinja2,
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 2.0.0),
                     python-mock (>= 1.3),
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.28.1),
                     python-os-testr,
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.middleware (>= 2.8.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.8.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslo.versionedobjects (>= 0.9.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paste,
                     python-pastedeploy,
                     python-pecan (>= 1.0.0),
                     python-pyudev,
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6.0),
                     python-retrying,
                     python-routes,
                     python-ryu (>= 3.24),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.8.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-webob,
                     python-webtest,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Homepage: http://neutron.openstack.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/neutron.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/neutron.git

Package: python-neutron
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         conntrack,
         iproute2,
         ipset,
         python-debtcollector (>= 0.3.0),
         python-eventlet (>= 0.17.4),
         python-gflags,
         python-greenlet,
         python-httplib2,
         python-jinja2,
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 2.0.0),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.28.1),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.middleware (>= 2.8.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.8.0),
         python-oslo.utils (>= 2.0.0),
         python-oslo.versionedobjects (>= 0.9.0),
         python-paste,
         python-pastedeploy,
         python-pecan (>= 1.0.0),
         python-pbr (>= 1.8),
         python-psycopg2,
         python-pymysql,
         python-pyudev,
         python-requests (>= 2.5.2),
         python-retrying,
         python-routes,
         python-ryu (>= 3.24),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Recommends: iputils-arping,
Replaces: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
          neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Breaks: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
        neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Provides: ${python:Provides},
Description: OpenStack virtual network service - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library.

Package: neutron-server
Architecture: all
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common (= ${source:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: OpenStack virtual network service - server
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron server.

Package: neutron-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         dpkg-dev,
         python-mysqldb,
         python-neutron (= ${source:Version}),
         python-pyparsing (>=1.5.7),
         python-sqlalchemy,
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Provides: neutron-plugin,
          neutron-plugin-bigswitch,
          neutron-plugin-brocade,
          neutron-plugin-cisco,
          neutron-plugin-hyperv,
          neutron-plugin-linuxbridge,
          neutron-plugin-metaplugin,
          neutron-plugin-ml2,
          neutron-plugin-nec,
          neutron-plugin-nicira,
          neutron-plugin-openvswitch,
          neutron-plugin-plumgrid,
          neutron-plugin-ryu,
          python-argparse,
Replaces: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
          neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Breaks: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
        neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Description: OpenStack virtual network service - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the common files.

Package: neutron-plugin-nec-agent
Architecture: all
Provides: neutron-plugin,
Depends: neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: OpenStack virtual network service - NEC agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the NEC plugin agent.

Package: neutron-l3-agent
Architecture: all
Depends: adduser,
         debconf,
         iputils-arping,
         keepalived,
         neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Recommends: openvswitch-switch,
Conflicts: neutron-vpn-agent,
Description: OpenStack virtual network service - l3 agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the l3 agent.

Package: neutron-dhcp-agent
Architecture: all
Depends: adduser,
         dnsmasq-base (>= 2.63),
         dnsmasq-utils (>= 2.63),
         neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: OpenStack virtual network service - DHCP agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the DHCP agent.

Package: neutron-metadata-agent
Architecture: all
Depends: adduser,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: OpenStack virtual network service - metadata agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Provides: neutron-plugin-metering-agent,
Description: OpenStack virtual network service - metering agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron metering agent.

Package: neutron-openvswitch-agent
Architecture: all
Pre-Depends: openvswitch-switch (>= 1.9),
Replaces: neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Breaks: neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Provides: neutron-plugin-openvswitch-agent,
Depends: neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Recommends: openvswitch-datapath-dkms,
Description: OpenStack virtual network service - Open vSwitch agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog -S Version | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')

PYTHONS:=$(shell pyversions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_install:
	echo "Nothing to do!"
#	dh_auto_install
#	find . -type d -name tests | xargs rm -fr
#	for i in neutron/db/migration/alembic_migrations/versions/*.py ; do \
#		install -D -m 0664 $$i debian/tmp/usr/lib/python2.6/dist-packages/$$i ; \
#		install -D -m 0664 $$i debian/tmp/usr/lib/python2.7/dist-packages/$$i ; \
#	done

override_dh_install:
	set -e ; for pyvers in $(PYTHONS) ; do \
		python$$pyvers setup.py install --install-layout=deb --root=$(CURDIR)/debian/neutron-common ; \
		python$$pyvers setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
		mkdir -p $(CURDIR)/debian/python-neutron/usr/lib/python$$pyvers/dist-packages ; \
		cp -auxf neutron $(CURDIR)/debian/python-neutron/usr/lib/python$$pyvers/dist-packages ; \
	done
	dh_install -O--buildsystem=python_distutils --fail-missing -X/usr/etc -X/usr/bin
	rm -rf $(CURDIR)/debian/neutron-common/usr/lib
	rm -rf $(CURDIR)/debian/neutron-common/usr/bin/quantum*
	rm -rf $(CURDIR)/debian/neutron-common/usr/etc

	install -D -m 0640 etc/neutron/plugins/ml2/openvswitch_agent.ini		$(CURDIR)/debian/neutron-common/usr/share/neutron-common/openvswitch_agent.ini

	install -D -m 0640 etc/metadata_agent.ini					$(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini
	sed -i -e 's|^# nova_metadata_ip = 127.0.0.1|nova_metadata_ip = 127.0.0.1|'	$(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini

	# Move the OVS config file, since we use debconf for it
	rm $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/openvswitch_agent.ini
	install -D -m 0640 etc/neutron/plugins/ml2/openvswitch_agent.ini $(CURDIR)/debian/neutron-common/usr/share/neutron-common/openvswitch_agent.ini

override_dh_auto_clean:
	dh_auto_clean
	rm -f neutron/vcsversion.py
	find . -type f -name "*.pyc" | xargs rm -fr
	rm -rf build neutron.egg-info
	rm -rf setuptools_git-*-py*.egg/
	rm -f debian/neutron-common.config \
		debian/neutron-common.postinst \
		debian/neutron-server.config \
		debian/neutron-server.postinst \
		debian/neutron-dhcp-agent.postinst \
		debian/neutron-metadata-agent.config \
		debian/neutron-metadata-agent.postinst
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=build/* ./run_tests.sh -N -P || true
endif

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-server.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-server.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-dhcp-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-metadata-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-metadata-agent.config

## neutron 7.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6

Paste
PasteDeploy>=1.5.0
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
debtcollector>=0.3.0 # Apache-2.0
eventlet>=0.17.4
pecan>=1.0.0
greenlet>=0.3.2
httplib2>=0.7.5
requests!=2.8.0,!=2.9.0,>=2.5.2
Jinja2>=2.6 # BSD License (3 clause)
keystonemiddleware!=2.4.0,>=2.0.0
netaddr!=0.7.16,>=0.7.12
python-neutronclient>=2.6.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
ryu>=3.23.2 # Apache-2.0
SQLAlchemy<1.1.0,>=0.9.9
WebOb>=1.2.3
python-keystoneclient!=1.8.0,<3.0.0,>=1.6.0
alembic>=0.8.0
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.config>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=2.4.1 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,!=2.6.0,!=2.6.1,!=2.7.0,!=2.8.0,!=2.8.1,!=2.9.0,!=3.1.0,>=1.16.0 # Apache-2.0
oslo.middleware!=3.0.0,!=3.1.0,!=3.2.0,>=2.8.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
oslo.versionedobjects>=0.9.0

python-novaclient!=2.33.0,>=2.28.1

# Windows-only requirements
pywin32;sys_platform=='win32'
wmi;sys_platform=='win32'

=== neutron/plugins/ml2/drivers/brocade/requirements.txt ===
networking-brocade

=== debian/changelog ===
neutron (2:7.1.1-0ubuntu1) wily; urgency=medium

  [ James Page ]
  * New upstream version.
  * d/p/*: Refresh.

  [ Corey Bryant ]
  * d/p/fix-test-treat-devices-added-updated-no-local-interface.patch:
    Mock ip_lib for failing test.
  * d/rules: Use ostestr to run tests.
  * d/control, d/neutron-plugin-midonet.install, d/t/midonet-plugin:
    Drop MidonetInterfaceDriver as it has moved out of tree.

  [ David Della Vecchia ]
  * New upstream stable point release for OpenStack Liberty (LP: #1594867).
  * d/p/fix-neutron-configuration.patch: Rebased.
  * d/p/drop-ryu-dep.patch: Rebased.

 -- David Della Vecchia <ddv@canonical.com>  Tue, 21 Jun 2016 12:14:50 -0400

neutron (2:7.0.4-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1569502).

 -- David Della Vecchia <ddv@canonical.com>  Tue, 12 Apr 2016 14:17:33 -0400

neutron (2:7.0.3-0ubuntu1) wily; urgency=medium

  * New upstream point release (LP: #1544568):
    - Ensure that tunnels are fully reset on ovs restart (LP: #1460164).
    - d/p/iproute2-compat.patch: Drop, included upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Feb 2016 17:07:16 +0000

neutron (2:7.0.1-0ubuntu1) wily; urgency=medium

  [ Corey Bryant ]
  * d/tests/neutron-agents: Give daemon 5 seconds to start to prevent race.

  [ James Page ]
  * New upstream point release (LP: #1530913).

 -- James Page <james.page@ubuntu.com>  Thu, 07 Jan 2016 12:03:11 +0000

neutron (2:7.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 16:38:37 -0400

neutron (2:7.0.0~rc3-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.
  * d/control: Align dependencies with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Oct 2015 11:49:29 -0400

neutron (2:7.0.0~rc2-0ubuntu2) wily; urgency=medium

  * d/control: Drop neutron-plugin-metaplugin and neutron-plugin-cisco
    binary packages as upstream has moved the core plugins out of tree.
  * d/tests/cisco-plugin: Dropped since plugin is moved out of tree.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2015 09:38:10 -0400

neutron (2:7.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.
  * d/p/fix-neutron-configuration.patch: Rebased.
  * d/p/skip-iptest.patch: Rebased.
  * d/p/iproute2-compat.patch: Rebased.
  * d/p/i386-fwmark.patch: Dropped. Fixed upstream.
  * d/p/binary-metadata.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Oct 2015 09:42:36 -0400

neutron (2:7.0.0~rc1-0ubuntu5) wily; urgency=medium

  * d/neutron-common.install: Install ebtables filters (LP: #1502363).
  * d/neutron-plugin-openvswitch-agent.{init.in,upstart.in}: Add agent
    specific configuration file to daemon arguments (LP: #1502364).
  * d/neutron-plugin-linuxbridge-agent.init.in: Add agent specific
    configuration file to daemon arguments (LP: #1502362).
  * d/control: Add dependency on ebtables for linuxbridge agent
    (LP: #1502362).
  * d/control,neutron-plugin-sriov-agent.init.in: Add missing dependency
    from sriov-agent -> neutron-plugin-ml2, add agent specific
    configuration file to daemon arguments.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Oct 2015 08:54:20 +0100

neutron (2:7.0.0~rc1-0ubuntu4) wily; urgency=medium

  * Drop hard requirement on python-ryu for this cycle as it supports
    a new alternative agent implementation for Open vSwitch and is not
    the default, avoiding inclusion of ryu in main for Wily.
    - d/control: Drop (Build-)Depends on ryu, add Suggests.
    - d/p/drop-ryu-dep.patch: Patch out hard requirement on ryu.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Oct 2015 18:10:49 +0100

neutron (2:7.0.0~rc1-0ubuntu3) wily; urgency=medium

  * d/p/binary-metadata.patch: Cherry pick fix from upstream to resolve
    errors when accessing binary encoded metadata (LP: #1501772).

 -- James Page <james.page@ubuntu.com>  Fri, 02 Oct 2015 10:54:24 +0100

neutron (2:7.0.0~rc1-0ubuntu2) wily; urgency=medium

  * d/p/i386-fwmark.patch: Ensure int and long types are converted
    to strings consistently across all architectures, avoiding 'L'
    suffix generated by hex function for long type (LP: #1501703).

 -- James Page <james.page@ubuntu.com>  Thu, 01 Oct 2015 13:02:30 +0100

neutron (2:7.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update to cope with upstream rc versioning.
  * New upstream release candidate for OpenStack Liberty.
  * d/rules: Drop removal of .eggs directory in override_dh_auto_clean.
  * d/control: Bump minimum pbr version to 1.8.
  * d/control: Align (build-)depends with upstream.
  * d/neutron-common.install: Add neutron-dev-server and neutron-rpc-server.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 25 Sep 2015 17:14:07 -0400

neutron (2:7.0.0~b3-0ubuntu3) wily; urgency=medium

  * d/p/iproute2-compat.patch: Cherry pick inflight fix for iproute2 >= v4
    compatibility (LP: #1497309).
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Mon, 21 Sep 2015 09:29:10 +0100

neutron (2:7.0.0~b3-0ubuntu2) wily; urgency=medium

  * Plugin decomposition. Upstream has removed NEC, plumgrid, NSX, and
    IBM plugins from main neutron code in Liberty:
    - d/neutron-plugin-nec*, d/neutron-plugin-plumgrid.*,
      d/neutron-plugin-vmware.*, d/neutron-plugin-ibm(-agent).*: Removed.
    - d/control: Removed neutron-plugin-nec(-agent), neutron-plugin-plumgrid,
      neutron-plugin-vmware, neutron-plugin-ibm(-agent).
    - d/tests/nec-plugin, d/tests/plumgrid-plugin,
      d/tests/vmware-plugin: Removed.
  * d/neutron-common.install: Install neutron-pd-notify and rootwrap
    dibbler.filters.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Sep 2015 09:36:47 -0400

neutron (2:7.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.


=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,systemd

override_dh_install:
	dh_install --fail-missing -X/usr/etc -X/usr/bin/neutron-vpn-agent \
		-X/usr/bin/neutron-lbaas-agent -X/usr/bin/neutron-hyperv-agent

override_dh_systemd_enable:
	dh_systemd_enable -pneutron-plugin-openvswitch-agent --name=neutron-ovs-cleanup \
		neutron-ovs-cleanup.service
	dh_systemd_enable

override_dh_installinit:
	dh_installinit -pneutron-plugin-openvswitch-agent --no-start \
        --name=neutron-ovs-cleanup
	dh_installinit --error-handler=true

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.upstart debian/*.init debian/*.service .testrepository

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# Unpatch neutron configuration to fixup tests which conflict
	# with a core_plugin being set.
	patch -p1 -R < debian/patches/fix-neutron-configuration.patch
	ostestr
	# Patch configuration file after testing
	patch -p1 < debian/patches/fix-neutron-configuration.patch
endif

=== debian/tests/control ===
Tests: neutron-server python-neutron
 ml2-plugin neutron-agents
Depends: neutron-server, rabbitmq-server, mysql-server
Restrictions: needs-root allow-stderr

## neutron 7.2.0

=== debian/changelog ===
neutron (2:7.2.0-0ubuntu1~cloud1) trusty-liberty; urgency=medium

  * Fix router namespace cleanup (LP: #1573073)
    - d/p/ns-exists-before-get-devices.patch

 -- Saverio Proto <saverio.proto@switch.ch>  Thu, 27 Oct 2016 09:33:25 +0000

neutron (2:7.2.0-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream stable point release for OpenStack Liberty (LP: #1619452).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Oct 2016 13:42:28 -0400

neutron (2:7.1.2-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream stable point release for OpenStack Liberty (LP: #1619452).

 -- David Della Vecchia <ddv@canonical.com>  Fri, 02 Sep 2016 07:41:07 -0400

neutron (2:7.1.1-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 29 Jun 2016 21:58:36 +0000

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     python-cliff (>= 1.14.0),
                     python-coverage (>= 3.6),
                     python-ddt (>= 0.7.0),
                     python-debtcollector (>= 0.3.0),
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-greenlet (>= 0.3.2),
                     python-hacking,
                     python-httplib2 (>= 0.7.5),
                     python-jinja2 (>= 2.6),
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 2.0.0),
                     python-mock (>= 1.2),
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.28.1),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.middleware (>= 2.8.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.7.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslo.versionedobjects (>= 0.9.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pecan (>= 1.0.0),
                     python-pymysql,
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6.0),
                     python-retrying (>= 1.2.3),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.8.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
XS-Python-Version: >= 2.6
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
XS-Testsuite: autopkgtest

Package: neutron-server
Architecture: all
Depends: adduser,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Breaks: quantum-server (<< 1:2013.2~b2-0ubuntu1~),
Replaces: quantum-server (<< 1:2013.2~b2-0ubuntu1~),
Recommends: neutron-plugin-ml2,
Description: Neutron is a virtual network service for Openstack - server
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Neutron server

Package: neutron-common
Architecture: all
Depends: adduser,
         ipset,
         python-neutron (= ${source:Version}),
         python-neutron-fwaas,
         ${misc:Depends},
         ${python:Depends},
Breaks: neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
        neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
        quantum-common ( << 1:2013.2~b2-0ubuntu1~ ),
Replaces: neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
          neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
          quantum-common ( << 1:2013.2~b2-0ubuntu1~ ),
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 python-pbr (>= 0.6),
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the common files.

Package: neutron-plugin-bigswitch
Architecture: all
Provides: neutron-plugin,
Depends: neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Breaks: quantum-plugin-bigswitch ( << 1:2013.2~b2-0ubuntu1~ ),
Replaces: quantum-plugin-bigswitch ( << 1:2013.2~b2-0ubuntu1~ ),
Description: Neutron is a virtual network service for Openstack - BigSwitch plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the BigSwitch plugin.

Package: neutron-plugin-bigswitch-agent
Architecture: all
Depends: neutron-plugin-bigswitch (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - BigSwitch plugin agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the BigSwitch plugin agent.

Package: neutron-plugin-brocade
Architecture: all
Provides: neutron-plugin,
Depends: neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Breaks: quantum-plugin-brocade ( << 1:2013.2~b2-0ubuntu1~ ),
Replaces: quantum-plugin-brocade ( << 1:2013.2~b2-0ubuntu1~ ),
Description: Neutron is a virtual network service for Openstack - Brocade plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Brocade plugin.

Package: neutron-l3-agent
Architecture: all
Depends: conntrack,
         iputils-arping,
         keepalived,
         neutron-common (= ${source:Version}),
         neutron-metadata-agent (= ${source:Version}),
         python-neutron-fwaas (>= 2015.1~b3),
         radvd,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Breaks: quantum-l3-agent ( << 1:2013.2~b2-0ubuntu1~ ),
Replaces: quantum-l3-agent ( << 1:2013.2~b2-0ubuntu1~ ),
Description: Neutron is a virtual network service for Openstack - l3 agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the layer 3 routing agent.

Package: neutron-dhcp-agent
Architecture: all
Depends: dnsmasq-base,
         dnsmasq-utils,
         neutron-common (= ${source:Version}),
         neutron-metadata-agent (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Breaks: quantum-dhcp-agent ( << 1:2013.2~b2-0ubuntu1~ ),
Replaces: quantum-dhcp-agent ( << 1:2013.2~b2-0ubuntu1~ ),
Description: Neutron is a virtual network service for Openstack - DHCP agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the DHCP agent.

Package: neutron-metadata-agent
Architecture: all
Depends: neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Breaks: quantum-metadata-agent ( << 1:2013.2~b2-0ubuntu1~ ),
Replaces: quantum-metadata-agent ( << 1:2013.2~b2-0ubuntu1~ ),
Description: Neutron is a virtual network service for Openstack - metadata agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the metadata proxy agent.

Package: python-neutron
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         python-debtcollector (>= 0.3.0),
         python-eventlet (>= 0.17.4),
         python-greenlet (>= 0.3.2),
         python-httplib2 (>= 0.7.5),
         python-jinja2 (>= 2.6),
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 2.0.0),
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.28.1),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.middleware (>= 2.8.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.4.0),
